Debian Bug report logs - #733212
ITP: librunning-commentary-perl -- Perl module to call system() with tracking messages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 27 Dec 2013 07:24:02 UTC

Owned by: Salvatore Bonaccorso <carnil@debian.org>

Severity: wishlist

Fixed in version librunning-commentary-perl/0.000005-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#733212; Package wnpp. (Fri, 27 Dec 2013 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Fri, 27 Dec 2013 07:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: librunning-commentary-perl -- Perl module to call system() with tracking messages
Date: Fri, 27 Dec 2013 08:12:39 +0100
Package: wnpp
Owner: Salvatore Bonaccorso <carnil@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : librunning-commentary-perl
  Version         : 0.000005
  Upstream Author : Damian Conway <DCONWAY@CPAN.org>
* URL             : https://metacpan.org/release/Running-Commentary
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Perl module to call system() with tracking messages

Running::Commentary provides a single subroutine: run() which is
designed to be a more informative and less error-prone replacement for
the built-in system(). run() acts like system(), except that it returns
true on success and false on failure, and it announces what it's doing.

It also provides a compile-time keyword: run_with with which you can set
lexically scoped default options for run().



Added blocking bug(s) of 733212: 733418 Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 29 Dec 2013 22:27:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 10 Jan 2014 20:21:08 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Sat, 11 Jan 2014 16:03:22 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 11 Jan 2014 16:03:23 GMT) Full text and rfc822 format available.

Message #14 received at 733212-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 733212-close@bugs.debian.org
Subject: Bug#733212: fixed in librunning-commentary-perl 0.000005-1
Date: Sat, 11 Jan 2014 16:00:54 +0000
Source: librunning-commentary-perl
Source-Version: 0.000005-1

We believe that the bug you reported is fixed in the latest version of
librunning-commentary-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated librunning-commentary-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 10 Jan 2014 21:05:24 +0100
Source: librunning-commentary-perl
Binary: librunning-commentary-perl
Architecture: source all
Version: 0.000005-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 librunning-commentary-perl - Perl module to call system() with tracking messages
Closes: 733212
Changes: 
 librunning-commentary-perl (0.000005-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #733212)
Checksums-Sha1: 
 7e28b4b2040b752a3f8cab7fffa5d331e3823ba1 2253 librunning-commentary-perl_0.000005-1.dsc
 23ecc38b2c3f1a64ed1ae0fa59a70c25bbd7c760 10668 librunning-commentary-perl_0.000005.orig.tar.gz
 06f3008df088fbebbf31245108cd1ac444976105 1700 librunning-commentary-perl_0.000005-1.debian.tar.gz
 15bf718a3d61c6ee957941a4bb1ce0770b7491e6 15814 librunning-commentary-perl_0.000005-1_all.deb
Checksums-Sha256: 
 84d9b4bd88ede025c9af63e59f8b0f351d96bec167419ffae035d30b7b8296a7 2253 librunning-commentary-perl_0.000005-1.dsc
 26569045b610776a67c55cce16cf5a17313a9be8c2f0e0900f90870c09360f8a 10668 librunning-commentary-perl_0.000005.orig.tar.gz
 b63c79a344a7e59c2dbbb549dce1a031fc50f5f170bdd95ec5c8207c54615087 1700 librunning-commentary-perl_0.000005-1.debian.tar.gz
 dacbb20d957cd564f6c6309ad30cf5688ae759ec72eb3e66371c91d5338e5743 15814 librunning-commentary-perl_0.000005-1_all.deb
Files: 
 19037aa95babde28b96b33521f12efbe 2253 perl optional librunning-commentary-perl_0.000005-1.dsc
 ac43f3dd0341fd9cc56eb48543e55463 10668 perl optional librunning-commentary-perl_0.000005.orig.tar.gz
 2c818533b2d9735e82059783af33debe 1700 perl optional librunning-commentary-perl_0.000005-1.debian.tar.gz
 308cb371a9f543f1201b8199520f6e62 15814 perl optional librunning-commentary-perl_0.000005-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS0FTiAAoJEAVMuPMTQ89EPeUQAIg+UJXFdVon0CeWPM1uWtd3
Q2vftgHA/nkMjCtgmCMCQgsnbhpNmMKx0G7fono2UhP5HifLlavkv7w6t5Ff4UVY
YStqaNxzPnvRdtCk4uFbcwgr1O80jDY86sUcNv8uQUI22zeCDQ049mWW15scsaMU
X49w7zRwfoySh9yNstCipqOrG2RmPHZbCyqVCGrRc2qgfltDtTifFYZ46kNAWbI7
NMev/0XbHDk+kBV9Jj5PBl/Q2Yl07aoYVhklH8PsGGnrH7QCNBgDAZWIxpHGbCv5
Z2aXZ09q2uy40FX6rMH0EREou5QqQw/xGc5/ouTFgQg1eiYpQU2h8q9ijF3Z+n4Z
tJcmWAAr2wg5J6O6a49LwYOcJNEU3XKIsJsye1XXmlP+r65bYUMqvkvMZ0LAN71n
3/JY6b8GeNz9i5ZMT2iH01cjDWiXrHX3U3G/LWwye4CZuBm0JrLTLLR5XqZq7Ydi
rsDEBNlqVtM7kP8Bzo57Do4mRx2CSZoXFQGmsJxGJcI1zsHJLJtJeKShJMGbR8C2
vGzuAa1F/72LHi10jR81mkkRgqQvUd8XrVRp6LXxTX8DOLA7j+knGR6vjPkuMK+V
PNfkJqwhZPX28UOQXtGfNa8S6ir+hyjgl0RtB/4gvFire0cIOpy9iYfI33cNRk9r
Ly6rFLQGvxTQB/AeGl2w
=d7WM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Feb 2014 07:26:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:07:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.